--- man-1.5k/src/makewhatis.sh.security	Wed Jul 17 14:59:05 2002
+++ man-1.5k/src/makewhatis.sh	Mon Jan 13 17:38:16 2003
@@ -33,11 +33,8 @@
 
 program=`basename $0`
 
-# In case both /usr/man and /usr/share/manexist, the former is local
-# and should be first.
-# It is a bug to add /var/cache/man to DEFCATPATH.
-DEFMANPATH=/usr/man:/usr/share/man
-DEFCATPATH=/usr/man/preformat:/usr/man:/usr/share/man/preformat:/usr/share/man
+DEFMANPATH=/usr/share/man:/usr/man
+DEFCATPATH=/usr/share/man/preformat:/usr/man/preformat:/usr/share/man:/usr/man
 
 # In case /usr is read-only, make /usr/man/whatis (etc) a symlink to
 # something like /var/cache/man/whatis.
@@ -52,12 +49,12 @@
 # We try here to be careful (and avoid preconstructed symlinks)
 # in case makewhatis is run as root, by creating a subdirectory of /tmp.
 
-TMPFILEDIR=/tmp/whatis.tmp.dir.$$
-rm -rf TMPFILEDIR
-if ! mkdir -m 0700 $TMPFILEDIR; then
-    echo Could not create $TMPFILEDIR
-    exit 1;
+TMPFILEDIR=`mktemp -d /tmp/makewhatisXXXXXX`
+if [ $? -ne 0 ]; then
+	echo "$0: Can't create temp file, exiting..."
+	exit 1
 fi
+chmod 0700 $TMPFILEDIR
 TMPFILE=$TMPFILEDIR/w
 
 # make sure TMPFILEDIR is deleted if program is killed or terminates
